BuildRequires: maven2-plugin-eclipse maven2-plugin-idea maven-shared-filtering
BuildRequires: /proc
BuildRequires: jpackage-compat
%define version 1.7.0
%define name maven-license-plugin
# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%global namedversion %{version}

Name:           maven-license-plugin
Version:        1.7.0
Release:        alt1_1jpp6
Epoch:          0
Summary:        Maven plugin to update header licenses of source files
Group:          Development/Java
License:        ASL 2.0
URL:            http://code.google.com/p/maven-license-plugin
# svn export http://maven-license-plugin.googlecode.com/svn/tags/maven-license-plugin-1.7.0 && tar cjf maven-license-plugin-1.7.0.tar.bz2 maven-license-plugin-1.7.0
# Exported revision 465.
Source0:        %{name}-%{namedversion}.tar.bz2
Patch0:         001-mavenlicenseplugin-fixbuild.patch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       maven2
Requires:       xmltool
BuildRequires:  apache-jar-resource-bundle >= 0:1.3
BuildRequires:  jpackage-utils
BuildRequires:  maven2
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-clean
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-release
BuildRequires:  maven2-plugin-remote-resources
BuildRequires:  maven2-plugin-source
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-shared-plugin-testing-harness
BuildRequires:  plexus-utils
# FIXME: circular
#BuildRequires:  testng
BuildRequires:  xml-commons-jaxp-1.3-apis
BuildRequires:  xmltool
BuildArch:      noarch
Source44: import.info

%description
maven-license-plugin is a Maven 2 plugin that help you managing license 
headers in source files. Basically, when you are developing a project 
either in open source or in a company, you often need to add at the top 
of your source files a license to protect your work. 
This plugin lets you maintain the headers, including checking if the 
header is present, generating a report and of course having the 
possibility to update / reformat missing license headers. 

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java
Requires:       jpackage-utils
BuildArch:      noarch

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
%{__perl} -pi -e 's/\r//g;' LICENSE.txt NOTICE.txt
%patch0 -p1 -b .sav0

%build
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export ALT_DEPLOYMENT_REPOSITORY=oss-releases::default::file:`pwd`/maven2-brew
export MAVEN_OPTS="-Xms1g -Xmx1g"
%{_bindir}/mvn-jpp -e -Dmaven.javadoc.additionalparam=-J-Xmx512m -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DaltDeploymentRepository=${ALT_DEPLOYMENT_REPOSITORY} -Dmaven.test.skip deploy javadoc:aggregate

%install

%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p target/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
(cd %{buildroot}%{_javadir} && %{__ln_s} %{name}-%{namedversion}.jar %{name}.jar)

%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__cp} -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
(cd %{buildroot}%{_javadocdir} && ln -s %{name}-%{namedversion} %{name})

%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap com.mycila.maven-license-plugin maven-license-plugin %{namedversion} JPP %{name}

%files
%doc NOTICE.txt LICENSE.txt
%{_javadir}/%{name}-%{namedversion}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}

%changelog
* Sat Sep 03 2011 Igor Vlasenko <viy@altlinux.ru> 0:1.7.0-alt1_1jpp6
- new jpp release

* Sat Sep 03 2011 Igor Vlasenko <viy@altlinux.ru> 0:1.7.0-alt0.1jpp
- bootstrap pack of jars created with jppbootstrap script
- temporary package to satisfy circular dependencies

